diff -ru ircd-glx2.0.0p3/.patches ircd-glx2.0.0p4/.patches
--- ircd-glx2.0.0p3/.patches	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/.patches	Thu Nov 11 17:25:12 2004
@@ -1 +1 @@
-ircd-glx2.0+.patch1.mquit+.patch2.bopm
+ircd-glx2.0+.patch1.mquit+.patch2.bopm+.patch2.drones
diff -ru ircd-glx2.0.0p3/ircd/channel.c ircd-glx2.0.0p4/ircd/channel.c
--- ircd-glx2.0.0p3/ircd/channel.c	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/channel.c	Wed Nov  3 16:30:19 2004
@@ -3955,6 +3955,12 @@
     NULL			/* chptr */
   };
 
+  if (!IsAnOper(sptr)) {
+       sendto_one(sptr, rpl_str(RPL_LISTUSAGE), me.name, parv[0],
+       "Please refer to: http://www.galaxynet.org/list");
+       return 0;
+  }
+  
   if (sptr->listing)		/* Already listing ? */
   {
     sptr->listing->chptr->mode.mode &= ~MODE_LISTED;
diff -ru ircd-glx2.0.0p3/ircd/map.c ircd-glx2.0.0p4/ircd/map.c
--- ircd-glx2.0.0p3/ircd/map.c	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/map.c	Fri Nov  5 17:25:21 2004
@@ -84,6 +84,12 @@
  */
 int m_map(aClient *UNUSED(cptr), aClient *sptr, int parc, char *parv[])
 {
+  if (!IsAnOper(sptr)) {
+	sendto_one(sptr, rpl_str(RPL_LISTUSAGE), me.name, parv[0],
+	"Command disabled");
+	return 0;
+  }
+	
   if (parc < 2)
     parv[1] = "*";
 
diff -ru ircd-glx2.0.0p3/ircd/opercmds.c ircd-glx2.0.0p4/ircd/opercmds.c
--- ircd-glx2.0.0p3/ircd/opercmds.c	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/opercmds.c	Mon Nov  1 14:16:34 2004
@@ -315,13 +315,13 @@
     {
       if (parc > 3)
       {
-	if (hunt_server(0, cptr, sptr, ":%s STATS %s %s :%s", 2, parc, parv)
+	if (hunt_server(1, cptr, sptr, ":%s STATS %s %s :%s", 2, parc, parv)
 	    != HUNTED_ISME)
 	  return 0;
       }
       else
       {
-	if (hunt_server(0, cptr, sptr, ":%s STATS %s :%s", 2, parc, parv)
+	if (hunt_server(1, cptr, sptr, ":%s STATS %s :%s", 2, parc, parv)
 	    != HUNTED_ISME)
 	  return 0;
       }
@@ -1746,6 +1746,10 @@
   else if (parc < 2 || *parv[1] == '\0')
   {
     /* Not enough args and a user; list glines */
+
+    if (hunt_server(1, cptr, sptr, ":%s GLINE %s %s", 2, parc, parv)
+	!= HUNTED_ISME)
+        return 0;
     for (agline = gline; agline; agline = agline->next)
       sendto_one(cptr, rpl_str(RPL_GLIST), me.name, parv[0],
 	  agline->name, agline->host, agline->expire, agline->reason,
diff -ru ircd-glx2.0.0p3/ircd/querycmds.c ircd-glx2.0.0p4/ircd/querycmds.c
--- ircd-glx2.0.0p3/ircd/querycmds.c	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/querycmds.c	Fri Nov  5 17:18:38 2004
@@ -183,11 +183,14 @@
   char *mask;
   aClient *acptr;
 
+    if (!IsAnOper(sptr)) {
+	sendto_one(sptr, rpl_str(RPL_LISTUSAGE), me.name, parv[0],
+	"Command disabled");
+	return 0;
+    }	       
+  
   if (parc > 2)
   {
-    if (hunt_server(1, cptr, sptr, ":%s LINKS %s :%s", 1, parc, parv) !=
-	HUNTED_ISME)
-      return 0;
     mask = parv[2];
   }
   else
diff -ru ircd-glx2.0.0p3/ircd/s_user.c ircd-glx2.0.0p4/ircd/s_user.c
--- ircd-glx2.0.0p3/ircd/s_user.c	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/s_user.c	Fri Nov  5 17:27:53 2004
@@ -2417,6 +2417,12 @@
   Reg3 int i, j = 5;
   char *p = NULL, *sbuf;
   aClient *acptr;
+	
+  if (!IsAnOper(sptr)) {
+	sendto_one(sptr, rpl_str(RPL_LISTUSAGE), me.name, parv[0],
+	"Command disabled");
+        return 0;
+  }
 
   if (parc < 2)
   {
diff -ru ircd-glx2.0.0p3/ircd/version.c.SH ircd-glx2.0.0p4/ircd/version.c.SH
--- ircd-glx2.0.0p3/ircd/version.c.SH	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/version.c.SH	Thu Nov 11 17:29:03 2004
@@ -35,7 +35,7 @@
         if ($(NF)~/\+$/) \
 	    printf(".0"); \
 	else \
-	    printf(".%d.(%s)", NF - 3, $(NF)); \
+	    printf(".%d.(%s)", NF - 4, $(NF)); \
     }'`
 
 /bin/cat >version.c <<!SUB!THIS!
diff -ru ircd-glx2.0.0p3/ircd/whocmds.c ircd-glx2.0.0p4/ircd/whocmds.c
--- ircd-glx2.0.0p3/ircd/whocmds.c	Sun Jul 14 18:41:54 2002
+++ ircd-glx2.0.0p4/ircd/whocmds.c	Tue Nov  2 11:46:37 2004
@@ -455,7 +455,7 @@
     qrt = NULL;
 
   /* I'd love to add also a check on the number of matches fields per time */
-  counter = (2048 / (counter + 4));
+  counter = (128 / (counter + 4));
   if (mask && (strlen(mask) > 510))
     mask[510] = '\0';
   move_marker();
